Package net.shibboleth.idp.cli

# Class ResolverTestArguments

java.lang.Object
net.shibboleth.idp.cli.AbstractCommandLineArguments
net.shibboleth.idp.cli.ResolverTestArguments

All Implemented Interfaces:
  `CommandLineArguments`

public class ResolverTestArguments extends AbstractCommandLineArguments
Command line processing for ResolverTest flow.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`dummy1`
Obsolete.
`private String`
`dummy2`
Obsolete.
`private String`
`dummy3`
Obsolete.
`private String`
`dummy4`
Obsolete.
`private Integer`
`index`
Index into metadata.
`private String`
`principal`
Identity of attribute subject.
`private String`
`protocol`
Show results with a custom protocol encoding.
`private String`
`requester`
Attribute requester identity.
`private boolean`
`saml1`
Show results with SAML 1.1 encoding.
`private boolean`
`saml2`
Show results with SAML 2.0 encoding.
`private boolean`
`unfiltered`
Show unfiltered results.

### Fields inherited from class net.shibboleth.idp.cli.AbstractCommandLineArguments

`BASEURL_PROPERTY`

## Constructor Summary

Constructors
Constructor
Description
`ResolverTestArguments()`

## Method Summary

Modifier and Type
Method
Description
`protected StringBuilder`
`doBuildURL(StringBuilder builder)`
Override this method to modify the eventual URL and attach any parameters.
`void`
`validate()`
Validate the parameter set.

### Methods inherited from class net.shibboleth.idp.cli.AbstractCommandLineArguments

`buildURL, getBasicAuthHeader, getHeaders, getHelp, getMethod, getPassword, getPath, getTrustStore, getTrustStorePassword, getTrustStoreType, getURL, getUsername, isDisableNameChecking, isUsage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### requester

@Nullable private String requester
Attribute requester identity.

### principal

@Nullable private String principal
Identity of attribute subject.

### index

@Nullable private Integer index
Index into metadata.

### protocol

@Nullable private String protocol
Show results with a custom protocol encoding.

### saml1

private boolean saml1
Show results with SAML 1.1 encoding.

### saml2

private boolean saml2
Show results with SAML 2.0 encoding.

### unfiltered

private boolean unfiltered
Show unfiltered results.

Since:
  5.1.0

### dummy1

@Nullable private String dummy1
Obsolete.

### dummy2

@Nullable private String dummy2
Obsolete.

### dummy3

@Nullable private String dummy3
Obsolete.

### dummy4

@Nullable private String dummy4
Obsolete.

## Constructor Details

### ResolverTestArguments

public ResolverTestArguments()

## Method Details

### validate

public void validate()
Validate the parameter set.

Specified by:
  `validate` in interface `CommandLineArguments`
Overrides:
  `validate` in class `AbstractCommandLineArguments`

### doBuildURL

@Nonnull protected StringBuilder doBuildURL(@Nonnull StringBuilder builder)
Override this method to modify the eventual URL and attach any parameters.

Overrides:
  `doBuildURL` in class `AbstractCommandLineArguments`
Parameters:
  `builder` - contains the URL in a partial state of construction, possibly including query string
Returns:
  a builder containing the modified URL string